## nobdy 0.0.2-1ubuntu2

=== providers/obdproswcan/Makefile ===
#############################################################################
# Makefile for building: libobdproswcan.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Jun 18 21:51:58 2010
# Project:  obdproswcan.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix QMAKE_CC\ =\ cc QMAKE_CXX\ =\ g++ QMAKE_CFLAGS_RELEASE\ =\ \ -O3 QMAKE_CXXFLAGS_RELEASE\ =\ \ -O3 -o Makefile obdproswcan.pro
#############################################################################

####### Compiler, tools and options

CC            = cc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I../../libnobdy -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -shared -Wl,-soname,libobdproswcan.so.1
LIBS          = $(SUBLIBS)  -L/usr/lib -L../../libnobdy -lnobdy -lQtXml -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = obdproswcan.cpp \
		port.cpp moc_obdproswcan.cpp
OBJECTS       = obdproswcan.o \
		port.o \
		moc_obdproswcan.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		obdproswcan.pro
QMAKE_TARGET  = obdproswcan
DESTDIR       = 
TARGET        = libobdproswcan.so.1.0.0
TARGETA       = libobdproswcan.a
TARGETD       = libobdproswcan.so.1.0.0
TARGET0       = libobdproswcan.so
TARGET1       = libobdproswcan.so.1
TARGET2       = libobdproswcan.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: obdproswcan.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix QMAKE_CC\ =\ cc QMAKE_CXX\ =\ g++ QMAKE_CFLAGS_RELEASE\ =\ \ -O3 QMAKE_CXXFLAGS_RELEASE\ =\ \ -O3 -o Makefile obdproswcan.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix QMAKE_CC\ =\ cc QMAKE_CXX\ =\ g++ QMAKE_CFLAGS_RELEASE\ =\ \ -O3 QMAKE_CXXFLAGS_RELEASE\ =\ \ -O3 -o Makefile obdproswcan.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/obdproswcan1.0.0 || $(MKDIR) .tmp/obdproswcan1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/obdproswcan1.0.0/ && $(COPY_FILE) --parents obdproswcan.h port.h .tmp/obdproswcan1.0.0/ && $(COPY_FILE) --parents obdproswcan.cpp port.cpp .tmp/obdproswcan1.0.0/ && (cd `dirname .tmp/obdproswcan1.0.0` && $(TAR) obdproswcan1.0.0.tar obdproswcan1.0.0 && $(COMPRESS) obdproswcan1.0.0.tar) && $(MOVE) `dirname .tmp/obdproswcan1.0.0`/obdproswcan1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/obdproswcan1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_obdproswcan.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_obdproswcan.cpp
moc_obdproswcan.cpp: port.h \
		obdproswcan.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) obdproswcan.h -o moc_obdproswcan.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

obdproswcan.o: obdproswcan.cpp obdproswcan.h \
		port.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obdproswcan.o obdproswcan.cpp

port.o: port.cpp port.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o port.o port.cpp

moc_obdproswcan.o: moc_obdproswcan.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_obdproswcan.o moc_obdproswcan.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/nobdy/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/nobdy/ 
	-$(INSTALL_PROGRAM) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET)"
	-$(STRIP) --strip-unneeded "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET0)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET1)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET2)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET0)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET1)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET2)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/nobdy/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

=== subscribers/bluetooth/Makefile ===
#############################################################################
# Makefile for building: libexamplesubscriber.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Jul 5 19:49:57 2010
# Project:  bluetooth.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix QMAKE_CC\ =\ cc QMAKE_CXX\ =\ g++ QMAKE_CFLAGS_RELEASE\ =\ \ -O3 QMAKE_CXXFLAGS_RELEASE\ =\ \ -O3 -o Makefile bluetooth.pro
#############################################################################

####### Compiler, tools and options

CC            = cc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I../../libnobdy -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -shared -Wl,-soname,libexamplesubscriber.so.1
LIBS          = $(SUBLIBS)  -L/usr/lib -L../../libnobdy -lnobdy -lbluetooth -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = bluetooth.cpp \
		simport.cpp \
		bluetoothsimport.cpp moc_bluetooth.cpp
OBJECTS       = bluetooth.o \
		simport.o \
		bluetoothsimport.o \
		moc_bluetooth.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		bluetooth.pro
QMAKE_TARGET  = examplesubscriber
DESTDIR       = 
TARGET        = libexamplesubscriber.so.1.0.0
TARGETA       = libexamplesubscriber.a
TARGETD       = libexamplesubscriber.so.1.0.0
TARGET0       = libexamplesubscriber.so
TARGET1       = libexamplesubscriber.so.1
TARGET2       = libexamplesubscriber.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: bluetooth.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix QMAKE_CC\ =\ cc QMAKE_CXX\ =\ g++ QMAKE_CFLAGS_RELEASE\ =\ \ -O3 QMAKE_CXXFLAGS_RELEASE\ =\ \ -O3 -o Makefile bluetooth.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix QMAKE_CC\ =\ cc QMAKE_CXX\ =\ g++ QMAKE_CFLAGS_RELEASE\ =\ \ -O3 QMAKE_CXXFLAGS_RELEASE\ =\ \ -O3 -o Makefile bluetooth.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/examplesubscriber1.0.0 || $(MKDIR) .tmp/examplesubscriber1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/examplesubscriber1.0.0/ && $(COPY_FILE) --parents bluetooth.h simport.h bluetoothsimport.h .tmp/examplesubscriber1.0.0/ && $(COPY_FILE) --parents bluetooth.cpp simport.cpp bluetoothsimport.cpp .tmp/examplesubscriber1.0.0/ && (cd `dirname .tmp/examplesubscriber1.0.0` && $(TAR) examplesubscriber1.0.0.tar examplesubscriber1.0.0 && $(COMPRESS) examplesubscriber1.0.0.tar) && $(MOVE) `dirname .tmp/examplesubscriber1.0.0`/examplesubscriber1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/examplesubscriber1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_bluetooth.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_bluetooth.cpp
moc_bluetooth.cpp: bluetooth.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) bluetooth.h -o moc_bluetooth.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

bluetooth.o: bluetooth.cpp bluetooth.h \
		bluetoothsimport.h \
		simport.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o bluetooth.o bluetooth.cpp

simport.o: simport.cpp simport.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o simport.o simport.cpp

bluetoothsimport.o: bluetoothsimport.cpp simport.h \
		bluetoothsimport.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o bluetoothsimport.o bluetoothsimport.cpp

moc_bluetooth.o: moc_bluetooth.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_bluetooth.o moc_bluetooth.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== subscribers/gmlan/Makefile ===
#############################################################################
# Makefile for building: libexamplesubscriber.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Jul 5 19:49:57 2010
# Project:  gmlan.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix QMAKE_CC\ =\ cc QMAKE_CXX\ =\ g++ QMAKE_CFLAGS_RELEASE\ =\ \ -O3 QMAKE_CXXFLAGS_RELEASE\ =\ \ -O3 -o Makefile gmlan.pro
#############################################################################

####### Compiler, tools and options

CC            = cc
CXX           = g++
DEFINES       = -DQT_NO_DEBUG -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4 -I../../libnobdy -I.
LINK          = g++
LFLAGS        = -Wl,-O1 -shared -Wl,-soname,libexamplesubscriber.so.1
LIBS          = $(SUBLIBS)  -L/usr/lib -L../../libnobdy -lnobdy -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = gmlansubscriber.cpp moc_gmlansubscriber.cpp
OBJECTS       = gmlansubscriber.o \
		moc_gmlansubscriber.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		gmlan.pro
QMAKE_TARGET  = examplesubscriber
DESTDIR       = 
TARGET        = libexamplesubscriber.so.1.0.0
TARGETA       = libexamplesubscriber.a
TARGETD       = libexamplesubscriber.so.1.0.0
TARGET0       = libexamplesubscriber.so
TARGET1       = libexamplesubscriber.so.1
TARGET2       = libexamplesubscriber.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: gmlan.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/release.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix QMAKE_CC\ =\ cc QMAKE_CXX\ =\ g++ QMAKE_CFLAGS_RELEASE\ =\ \ -O3 QMAKE_CXXFLAGS_RELEASE\ =\ \ -O3 -o Makefile gmlan.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/release.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix QMAKE_CC\ =\ cc QMAKE_CXX\ =\ g++ QMAKE_CFLAGS_RELEASE\ =\ \ -O3 QMAKE_CXXFLAGS_RELEASE\ =\ \ -O3 -o Makefile gmlan.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/examplesubscriber1.0.0 || $(MKDIR) .tmp/examplesubscriber1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/examplesubscriber1.0.0/ && $(COPY_FILE) --parents gmlansubscriber.h .tmp/examplesubscriber1.0.0/ && $(COPY_FILE) --parents gmlansubscriber.cpp .tmp/examplesubscriber1.0.0/ && (cd `dirname .tmp/examplesubscriber1.0.0` && $(TAR) examplesubscriber1.0.0.tar examplesubscriber1.0.0 && $(COMPRESS) examplesubscriber1.0.0.tar) && $(MOVE) `dirname .tmp/examplesubscriber1.0.0`/examplesubscriber1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/examplesubscriber1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_gmlansubscriber.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_gmlansubscriber.cpp
moc_gmlansubscriber.cpp: gmlansubscriber.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) gmlansubscriber.h -o moc_gmlansubscriber.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

gmlansubscriber.o: gmlansubscriber.cpp gmlansubscriber.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gmlansubscriber.o gmlansubscriber.cpp

moc_gmlansubscriber.o: moc_gmlansubscriber.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_gmlansubscriber.o moc_gmlansubscriber.cpp

####### Install

install:   FORCE

uninstall:   FORCE

FORCE:

=== subscribers/logger/Makefile ===
#############################################################################
# Makefile for building: liblogger.so.1.0.0
# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Jul 5 19:49:57 2010
# Project:  logger.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -unix QMAKE_CC\ =\ cc QMAKE_CXX\ =\ g++ QMAKE_CFLAGS_RELEASE\ =\ \ -O3 QMAKE_CXXFLAGS_RELEASE\ =\ \ -O3 -o Makefile logger.pro
#############################################################################

####### Compiler, tools and options

CC            = cc
CXX           = g++
DEFINES       = -DQT_SQL_LIB -DQT_XML_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -g -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtXml -I/usr/include/qt4/QtSql -I/usr/include/qt4 -I../../libnobdy -I.
LINK          = g++
LFLAGS        = -shared -Wl,-soname,liblogger.so.1
LIBS          = $(SUBLIBS)  -L/usr/lib -L../../libnobdy -lnobdy -lgps -lQtSql -lQtXml -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = logger.cpp \
		gpsdb.cpp \
		obd.cpp \
		trip.cpp moc_logger.cpp
OBJECTS       = logger.o \
		gpsdb.o \
		obd.o \
		trip.o \
		moc_logger.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../subscriber.pri \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		logger.pro
QMAKE_TARGET  = logger
DESTDIR       = 
TARGET        = liblogger.so.1.0.0
TARGETA       = liblogger.a
TARGETD       = liblogger.so.1.0.0
TARGET0       = liblogger.so
TARGET1       = liblogger.so.1
TARGET2       = liblogger.so.1.0

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET) $(TARGET0) $(TARGET1) $(TARGET2)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)
	-ln -s $(TARGET) $(TARGET0)
	-ln -s $(TARGET) $(TARGET1)
	-ln -s $(TARGET) $(TARGET2)



staticlib: $(TARGETA)

$(TARGETA):  $(OBJECTS) $(OBJCOMP) 
	-$(DEL_FILE) $(TARGETA) 
	$(AR) $(TARGETA) $(OBJECTS)

Makefile: logger.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		../subscriber.pri \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtSql.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -unix QMAKE_CC\ =\ cc QMAKE_CXX\ =\ g++ QMAKE_CFLAGS_RELEASE\ =\ \ -O3 QMAKE_CXXFLAGS_RELEASE\ =\ \ -O3 -o Makefile logger.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
../subscriber.pri:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtSql.prl:
/usr/lib/libQtXml.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -unix QMAKE_CC\ =\ cc QMAKE_CXX\ =\ g++ QMAKE_CFLAGS_RELEASE\ =\ \ -O3 QMAKE_CXXFLAGS_RELEASE\ =\ \ -O3 -o Makefile logger.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/logger1.0.0 || $(MKDIR) .tmp/logger1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/logger1.0.0/ && $(COPY_FILE) --parents logger.h gpsdb.h obd.h trip.h .tmp/logger1.0.0/ && $(COPY_FILE) --parents logger.cpp gpsdb.cpp obd.cpp trip.cpp .tmp/logger1.0.0/ && (cd `dirname .tmp/logger1.0.0` && $(TAR) logger1.0.0.tar logger1.0.0 && $(COMPRESS) logger1.0.0.tar) && $(MOVE) `dirname .tmp/logger1.0.0`/logger1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/logger1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) $(TARGET0) $(TARGET1) $(TARGET2) $(TARGETA)
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_logger.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_logger.cpp
moc_logger.cpp: obd.h \
		basedb.hpp \
		gpsdb.h \
		trip.h \
		logger.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) logger.h -o moc_logger.cpp

compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_uic_make_all:
compiler_uic_clean:
compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean 

####### Compile

logger.o: logger.cpp logger.h \
		obd.h \
		basedb.hpp \
		gpsdb.h \
		trip.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o logger.o logger.cpp

gpsdb.o: gpsdb.cpp gpsdb.h \
		basedb.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o gpsdb.o gpsdb.cpp

obd.o: obd.cpp obd.h \
		basedb.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o obd.o obd.cpp

trip.o: trip.cpp trip.h \
		basedb.hpp
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o trip.o trip.cpp

moc_logger.o: moc_logger.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_logger.o moc_logger.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/lib/nobdy/ || $(MKDIR) $(INSTALL_ROOT)/usr/lib/nobdy/ 
	-$(INSTALL_PROGRAM) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET0)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET1)"
	-$(SYMLINK) "$(TARGET)" "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET2)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET0)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET1)" 
	 -$(DEL_FILE) "$(INSTALL_ROOT)/usr/lib/nobdy/$(TARGET2)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/lib/nobdy/ 


install_config: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/etc/nobdy/subscribers/ || $(MKDIR) $(INSTALL_ROOT)/etc/nobdy/subscribers/ 
	-$(INSTALL_FILE) /home/kev/src/nobdy/subscribers/logger/logger.xml $(INSTALL_ROOT)/etc/nobdy/subscribers/


uninstall_config:  FORCE
	-$(DEL_FILE) -r $(INSTALL_ROOT)/etc/nobdy/subscribers/logger.xml
	-$(DEL_DIR) $(INSTALL_ROOT)/etc/nobdy/subscribers/ 


install:  install_target install_config  FORCE

uninstall: uninstall_target uninstall_config   FORCE

FORCE:

=== debian/changelog ===
nobdy (0.0.2-1ubuntu2) lucid; urgency=low

  * disabled subprojects

 -- Kevron Rees <kev@patch>  Mon, 05 Jul 2010 19:58:35 -0700

nobdy (0.0.2-1ubuntu1) jaunty; urgency=low

  * fixed config

 -- Kevron Rees <tripzero@nextabyte.com>  Mon, 21 Jun 2010 20:14:10 -0700

nobdy (0.0.1-0) lucid; urgency=low

  * Initial release 

 -- Kevron Rees <tripzero@nextabyte.com>  Fri, 18 Jun 2010 12:42:22 -0700

=== debian/control ===
Source: nobdy
Section: unknown
Priority: extra
Maintainer: Kevron Rees <tripzero@nextabyte.com>
Build-Depends: debhelper (>= 7), libqt4-dev, cdbs, libobd-qt-dev
Standards-Version: 3.8.1
Homepage: http://openice.org

Package: nobdy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: vehicle data service
 Interfaces with the vehicle and provides data to "subscribers" and other applications

Package: libnobdy
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: library to create plugins for nobdy
 Provides runtimes for nobdy and plugins

Package: libnobdy-dev
Section: libdevel
Depends: libqt4-dev, libnobdy
Architecture: any
Description: library to create plugins for nobdy                              
 Provides runtimes for nobdy and plugins. Contains development files
 for writing custom plugins.

Package: nobdy-provider-genericobd2
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: nobdy plugin for obd-II
 Interface for ELM327 OBD-II based scantools

Package: nobdy-subscriber-dbussimple
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Architecture: any
Description: nobdy plugin for dbus
 Exposes nobdy over dbus

#Package: nobdy-subscriber-logger
#Section: libs
#Depends: ${shlibs:Depends}, ${misc:Depends}
#Architecture: any
#Description: nobdy plugin for logging obd-II and gps data
# nobdy subscriber plugin that logs obd-II and gps data

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/qmake.mk

DEB_DESTDIR := $(CURDIR)/debian/tmp

# Add here any variable or target overrides you need.
QMAKE=qmake-qt4
MAKE=make CXX=/usr/lib/icecc/bin/g++ -j20
CFLAGS=-O3
CXXFLAGS=-O3

## nobdy 0.0.3-1ubuntu3

=== subscribers/logger/Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: liblogger.so.1.0.0
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Mon Jul 5 19:49:57 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri Aug 13 23:17:32 2010
 # Project:  logger.pro
 # Template: lib
 # Command: /usr/bin/qmake-qt4 -unix QMAKE_CC\ =\ cc QMAKE_CXX\ =\ g++ QMAKE_CFLAGS_RELEASE\ =\ \ -O3 QMAKE_CXXFLAGS_RELEASE\ =\ \ -O3 -o Makefile logger.pro

=== debian/changelog ===
nobdy (0.0.3-1ubuntu3) lucid; urgency=low

  * disabled logger for maemo5

 -- Kevron Rees <kev@patch>  Fri, 13 Aug 2010 23:41:43 -0700

nobdy (0.0.3-1ubuntu2) lucid; urgency=low

  * logger won't build on maemo5

 -- Kevron Rees <kev@patch>  Fri, 13 Aug 2010 23:16:11 -0700

nobdy (0.0.3-1ubuntu1) lucid; urgency=low

  * new upstream version

 -- Kevron Rees <kev@patch>  Fri, 13 Aug 2010 23:04:00 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: unknown
 Priority: extra
 Maintainer: Kevron Rees <tripzero@nextabyte.com>
-Build-Depends: debhelper (>= 7), libqt4-dev, cdbs, libobd-qt-dev
+Build-Depends: debhelper (>= 7), libqt4-dev, cdbs, libobd-qt-dev, libbluetooth3-dev
 Standards-Version: 3.8.1
 Homepage: http://openice.org
 
@@ -41,9 +41,22 @@
 Description: nobdy plugin for dbus
  Exposes nobdy over dbus
 
-#Package: nobdy-subscriber-logger
-#Section: libs
-#Depends: ${shlibs:Depends}, ${misc:Depends}
-#Architecture: any
-#Description: nobdy plugin for logging obd-II and gps data
-# nobdy subscriber plugin that logs obd-II and gps data
+Package: nobdy-subscriber-logger
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: any
+Description: nobdy plugin for logging obd-II and gps data
+ nobdy subscriber plugin that logs obd-II and gps data
+
+Package: nobdy-subscriber-tcp
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: any
+Description: nobdy plugin for serving up subscriber data to clients on a network
+
+Package: nobdy-provider-tcp
+Section: libs
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Architecture: any
+Description: nobdy plugin for logging obd-II and gps data
+ nobdy subscriber plugin that connects to other systems running nobdy over a network
